<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: Error Codes</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Error Codes<br>
<small>
[<a class="el" href="group__Edma3RMMain.html">Interface Definition for EDMA3 Resource Manager Layer</a>]</small>
</h1>Usage of Resource Manager.  
<a href="#_details">More...</a>
<p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMErrCode.html#gb014f5a62cb4f050873d3836cc189ca7">EDMA3_RM_E_BASE</a>&nbsp;&nbsp;&nbsp;(-155)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMErrCode.html#g9b69fe3203335237b365833e70d49ff8">EDMA3_RM_E_OBJ_NOT_DELETED</a>&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMErrCode.html#gaf4a8d35e9b2acedc8962b56e02a776f">EDMA3_RM_E_OBJ_NOT_CLOSED</a>&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-1)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMErrCode.html#g0127b16958e3caa025b1fa678251349a">EDMA3_RM_E_OBJ_NOT_OPENED</a>&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-2)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMErrCode.html#g515ee7881e4bd19c1af01a5518bb5608">EDMA3_RM_E_INVALID_PARAM</a>&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-3)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMErrCode.html#gbfb8e410466d8c4373aefeddc9f81dc2">EDMA3_RM_E_RES_ALREADY_FREE</a>&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-4)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMErrCode.html#gc6c5d09c61d9b2549269576e6d31e41a">EDMA3_RM_E_RES_NOT_OWNED</a>&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-5)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMErrCode.html#g3b062119a0e29e3c9ba65c5e6ffb0629">EDMA3_RM_E_SPECIFIED_RES_NOT_AVAILABLE</a>&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-6)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMErrCode.html#gda9f7091b0b9d2ef91485e72e88eb27b">EDMA3_RM_E_ALL_RES_NOT_AVAILABLE</a>&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-7)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMErrCode.html#ge0e83d8e8229a31316f77285554c67a8">EDMA3_RM_E_INVALID_STATE</a>&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-8)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMErrCode.html#g4b2559090dd93344d121c02bc0dbd369">EDMA3_RM_E_MAX_RM_INST_OPENED</a>&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-9)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMErrCode.html#g7c4aba313c475ed818203053007d8e74">EDMA3_RM_E_RM_MASTER_ALREADY_EXISTS</a>&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-10)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMErrCode.html#ga97036c99c34f9837e7272f8c50e6b21">EDMA3_RM_E_CALLBACK_ALREADY_REGISTERED</a>&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-11)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMErrCode.html#g610aeab3e667a0edbaf9a673c6253b5b">EDMA3_RM_E_SEMAPHORE</a>&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-12)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMErrCode.html#g6e01bd5ae80120e94b9624b03bd4f354">EDMA3_RM_E_FEATURE_UNSUPPORTED</a>&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-13)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMErrCode.html#g5e0b75a258b42f40a54c1827d6dbdd13">EDMA3_RM_E_RES_NOT_ALLOCATED</a>&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-14)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Usage of Resource Manager. 
<p>
<ol type=1>
<li>Create Resource Manager Object (one for each EDMA3 hardware instance)<ul>
<li>EDMA3_RM_Result result = EDMA3_RM_SOK;</li><li>unsigned int edma3HwInstanceId = 0u;</li><li><a class="el" href="structEDMA3__RM__GblConfigParams.html" title="Init-time Configuration structure for EDMA3 controller, to provide Global SoC specific...">EDMA3_RM_GblConfigParams</a> *gblCfgParams = NULL;</li><li>Init-time Configuration structure for EDMA3 controller, to provide Global SoC specific Information. This could be NULL also. In that case, static configuration will be taken.</li><li>result = EDMA3_RM_create (edma3HwInstanceId, gblCfgParams, NULL);</li></ul>
</li><li>Open Resource Manager Instance<ul>
<li>Steps<ul>
<li><a class="el" href="structEDMA3__RM__Param.html" title="Used to Initialize the Resource Manager Instance.">EDMA3_RM_Param</a> initParam;</li><li>unsigned int resMgrIdx = 0;</li><li>EDMA3_RM_Handle hRes = NULL;</li><li>unsigned int mappedPaRAMId;</li><li>EDMA3_OS_SemAttrs semAttrs = {EDMA3_OS_SEMTYPE_FIFO, NULL};</li><li>EDMA3_RM_Result edma3Result; -To get the error code while opening Resource Manager instance</li></ul>
</li></ul>
</li></ol>
<p>
<ol type=1>
<li>initParam.regionId = Region Id e.g. (EDMA3_RM_RegionId)0u OR (EDMA3_RM_RegionId)1u</li></ol>
<p>
<ol type=1>
<li>initParam.isMaster = TRUE/FALSE (Whether this EDMA3 RM instance is Master or not. The EDMA3 Shadow Region tied to the Master RM Instance will ONLY receive the EDMA3 interrupts (error or completion), if enabled).</li></ol>
<p>
<ol type=1>
<li>initParam.rmSemHandle = EDMA3 RM Instance specific semaphore handle. It should be provided by the user for proper sharing of resources.<ul>
<li>edma3Result = edma3OsSemCreate(1, &amp;semAttrs, &amp;initParam.rmSemHandle );</li></ul>
</li></ol>
<p>
<ol type=1>
<li>initParam.regionInitEnable = TRUE/FALSE (Whether init of Region Specifc registers should be done or not?);</li></ol>
<p>
<ol type=1>
<li>initParam.gblerrCbParams.gblerrCb = Instance wide callback function to catch non-channel specific errors</li><li>initParam.gblerrCbParams.gblerrData = Data to be passed to global error callback function, gblerrCb.</li></ol>
<p>
<ol type=1>
<li>initParam.rmInstInitConfig-&gt;ownDmaChannels[] = The bitmap(s) which indicate the DMA channels owned by this instance of the Resource Manager<br>
 E.g. A '1' at bit position 24 indicates that this instance of the Resource Manager owns DMA Channel Id 24<br>
 Later when a request is made based on a particular Channel Id, the Resource Manager will check first if it owns that channel. If it doesnot own it, Resource Manager returns error EDMA3_RM_E_RES_NOT_OWNED.</li><li>initParam.rmInstInitConfig-&gt;ownQdmaChannels[] = The bitmap(s) which indicate the QDMA channels owned by this instance of the Resource Manager<br>
</li><li>initParam.rmInstInitConfig-&gt;ownPaRAMSets[] = The bitmap(s) which indicate the PaRAM Sets owned by this instance of the Resource Manager<br>
</li><li>initParam.rmInstInitConfig-&gt;ownTccs[] = The bitmap(s) which indicate the TCCs owned by this instance of the Resource Manager<br>
</li></ol>
<p>
<ol type=1>
<li>initParam.rmInstInitConfig-&gt;resvdDmaChannels[] = The bitmap(s) which indicate the DMA channels reserved by this instance of the Resource Manager<br>
 E.g. A '1' at bit position 24 indicates that this instance of the Resource Manager reserves Channel Id 24<br>
 These channels are reserved and may be mapped to HW events, these are not given to 'EDMA3_RM_DMA_CHANNEL_ANY' or 'EDMA3_RM_RES_ANY' requests.<br>
</li><li>initParam.rmInstInitConfig-&gt;resvdQdmaChannels[] = The bitmap(s) which indicate the QDMA channels reserved by this instance of the Resource Manager<br>
 E.g. A '1' at bit position 1 indicates that this instance of the Resource Manager reserves QDMA Channel Id 1<br>
 These channels are reserved for some specific purpose, these are not given to 'EDMA3_RM_QDMA_CHANNEL_ANY' or 'EDMA3_RM_RES_ANY' request<br>
</li><li>initParam.rmInstInitConfig-&gt;resvdPaRAMSets[] = PaRAM Sets which are reserved by this Region;</li><li>initParam.rmInstInitConfig-&gt;resvdTccs[] = TCCs which are reserved by this Region;</li></ol>
<p>
-hRes = EDMA3_RM_open (instId, &amp;initParam, &amp;edma3Result);<p>
<ol type=1>
<li>Register Interrupt Handlers for various interrupts like transfer completion interrupt, CC error interrupt, TC error interrupts etc, if required.</li></ol>
<p>
<ol type=1>
<li>Resource Management APIs:<ul>
<li><a class="el" href="structEDMA3__RM__ResDesc.html" title="Handle to a Resource.">EDMA3_RM_ResDesc</a> resObj;</li><li>EDMA3_RM_Result result;</li><li>unsigned int dmaChId;</li><li>unsigned int qdmaChId;</li><li>unsigned int paRAMId;</li><li>unsigned int tcc;</li><li>EDMA3_RM_QdmaTrigWord trigword;</li><li>EDMA3_RM_TccCallback tccCb;</li><li>void *cbData;</li></ul>
</li></ol>
<p>
<ul>
<li>Use Case 1: Request specific DMA Channel, say EDMA Channel 5.<br>
<br>
<ul>
<li>dmaChId = 5;<br>
<br>
</li><li>resObj.type = EDMA3_RM_RES_DMA_CHANNEL;</li><li>resObj.resId = dmaChId;</li><li>result = EDMA3_RM_allocResource(hRes, &amp;resObj);<br>
<br>
</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 2: Request any available DMA Channel.<br>
<br>
<ul>
<li>dmaChId = EDMA3_RM_RES_ANY;<br>
<br>
</li><li>resObj.type = EDMA3_RM_RES_DMA_CHANNEL;</li><li>resObj.resId = dmaChId;</li><li>result = EDMA3_RM_allocResource(hRes, &amp;resObj);<br>
<br>
</li><li>dmaCh1Id = resObj.resId; <br>
<br>
</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 3: Request a specific QDMA Channel, say QDMA Channel 0.<br>
<br>
<ul>
<li>qdmaChId = 0;<br>
<br>
</li><li>resObj.type = EDMA3_RM_RES_QDMA_CHANNEL;</li><li>resObj.resId = qdmaChId;</li><li>result = EDMA3_RM_allocResource(hRes, &amp;resObj);<br>
<br>
</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 4: Request any available QDMA Channel.<br>
<br>
<ul>
<li>qdmaChId = EDMA3_RM_RES_ANY;<br>
<br>
</li><li>resObj.type = EDMA3_RM_RES_QDMA_CHANNEL;</li><li>resObj.resId = qdmaChId;</li><li>result = EDMA3_RM_allocResource(hRes, &amp;resObj);<br>
<br>
</li><li>qdmaChId = resObj.resId;<br>
<br>
</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 5: Request specific Parameter RAM Set, say 20.<br>
<br>
<ul>
<li>paRAMId = 20; <br>
<br>
</li><li>resObj.type = EDMA3_RM_RES_PARAM_SET;</li><li>resObj.resId = paRAMId;</li><li>result = EDMA3_RM_allocResource(hRes, &amp;resObj); <br>
<br>
</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 6: Request any available Parameter RAM Set.<br>
<br>
<ul>
<li>paRAMId = EDMA3_RM_RES_ANY;<br>
<br>
</li><li>resObj.type = EDMA3_RM_RES_PARAM_SET;</li><li>resObj.resId = paRAMId;</li><li>result = EDMA3_RM_allocResource(hRes, &amp;resObj);<br>
<br>
</li><li>paRAMId = resObj.resId; <br>
<br>
</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 7: Request a specific TCC, say TCC 35. <br>
<br>
<ul>
<li>tcc = 35; <br>
<br>
</li><li>resObj.type = EDMA3_RM_RES_TCC;</li><li>resObj.resId = tcc;</li><li>result = EDMA3_RM_allocResource(hRes, &amp;resObj); <br>
<br>
</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 8: Request any available TCC. <br>
<br>
<ul>
<li>tcc = EDMA3_RM_RES_ANY; <br>
<br>
</li><li>resObj.type = EDMA3_RM_RES_TCC;</li><li>resObj.resId = tcc;</li><li>result = EDMA3_RM_allocResource(hRes, &amp;resObj); <br>
<br>
</li><li>tcc = resObj.resId; <br>
<br>
</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 9: Free the already allocated DMA channel<ul>
<li>resObj.type = EDMA3_RM_RES_DMA_CHANNEL;</li><li>resObj.resId = dmaChId;</li><li>result = EDMA3_RM_freeResource(hRes, &amp;resObj); <br>
<br>
</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 10: Free the already allocated QDMA channel<ul>
<li>resObj.type = EDMA3_RM_RES_QDMA_CHANNEL;</li><li>resObj.resId = qdmaChId;</li><li>result = EDMA3_RM_freeResource(hRes, &amp;resObj); <br>
<br>
</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 11: Free the already allocated PaRAM Set<ul>
<li>resObj.type = EDMA3_RM_RES_PARAM_SET;</li><li>resObj.resId = paRAMId;</li><li>result = EDMA3_RM_freeResource(hRes, &amp;resObj); <br>
<br>
</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 12: Free the already allocated TCC<ul>
<li>resObj.type = EDMA3_RM_RES_TCC;</li><li>resObj.resId = tcc;</li><li>result = EDMA3_RM_freeResource(hRes, &amp;resObj); <br>
<br>
</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 13: Bind DMA Channel and a PaRAM Set<ul>
<li>result = EDMA3_RM_mapEdmaChannel (hRes,dmaChId,paRAMId); <br>
<br>
</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 14: Bind QDMA Channel and a PaRAM Set. Also, specify the Trigger word for the QDMA channel.<ul>
<li>result = EDMA3_RM_mapQdmaChannel (hRes, qdmaChId, paRAMId, trigword); <br>
<br>
</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 15: Register a Callback function associated with a TCC <br>
<br>
<ul>
<li>result = EDMA3_RM_registerTccCb (hRes,tcc,tccCb,cbData); <br>
<br>
</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 16: Unregister a Callback function associated with a TCC <br>
<br>
<ul>
<li>result = EDMA3_RM_unregisterTccCb (hRes,tcc); <br>
<br>
</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 17: Allocate a logical (ANY) DMA channel. It will also allocate PaRAM Set and TCC alongwitht a DMA channel.<ul>
<li>resObj.type = EDMA3_RM_RES_DMA_CHANNEL;</li><li>resObj.resId = EDMA3_RM_DMA_CHANNEL_ANY;</li><li>result = EDMA3_RM_allocLogicalChannel (hRes, &amp;resObj, paRAMId, tcc);</li><li>dmaCh1Id = resObj.resId; <br>
<br>
</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 18: Allocate a logical (ANY) QDMA channel. It will also allocate PaRAM Set and TCC alongwitht a QDMA channel.<ul>
<li>resObj.type = EDMA3_RM_RES_QDMA_CHANNEL;</li><li>resObj.resId = EDMA3_RM_QDMA_CHANNEL_ANY;</li><li>result = EDMA3_RM_allocLogicalChannel (hRes, &amp;resObj, paRAMId, tcc);</li><li>qdmaChId = resObj.resId;<br>
<br>
</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 19: Allocate a Link channel. Link channel is nothing but a PaRAM Set, used for Linking purpose specifically. The allocated PaRAM Set is returned in the resObj.resId value.<ul>
<li>resObj.type = EDMA3_RM_RES_PARAM_SET;</li><li>resObj.resId = EDMA3_RM_PARAM_ANY;</li><li>result = EDMA3_RM_allocLogicalChannel (hRes, &amp;resObj, NULL, NULL);</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 20: Free the previously allocated Link channel. It will free the PaRAM Set used for linking.<ul>
<li>result = EDMA3_RM_freeLogicalChannel (hRes, &amp;resObj);</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 21: Free the previously allocated logical DMA channel. It will also free the associated PaRAM Set and TCC.<ul>
<li>resObj.type = EDMA3_RM_RES_DMA_CHANNEL;</li><li>resObj.resId = dmaCh1Id;</li><li>result = EDMA3_RM_freeLogicalChannel (hRes, &amp;resObj);</li></ul>
</li></ul>
<p>
<ul>
<li>Use Case 22: Free the previously allocated logical QDMA channel. It will also free the associated PaRAM Set and TCC.<ul>
<li>resObj.type = EDMA3_RM_RES_QDMA_CHANNEL;</li><li>resObj.resId = qdmaChId;</li><li>result = EDMA3_RM_freeLogicalChannel (hRes, &amp;resObj);</li></ul>
</li></ul>
<p>
<ol type=1>
<li>Close Resource Manager Instance<ul>
<li>Steps<ul>
<li>EDMA3_RM_Result edma3Result = EDMA3_RM_SOK;</li></ul>
</li></ul>
</li></ol>
<p>
<ul>
<li>Unregister Interrupt Handlers first, if previously registered.</li><li>Delete the semaphore created during RM Instance Opening.<ul>
<li>edma3Result = edma3OsSemDelete (rmSemHandle);</li></ul>
</li><li>Close the EDMA3 RM Instance<ul>
<li>edma3Result = EDMA3_RM_close (hRes, NULL);</li></ul>
</li></ul>
<p>
<ol type=1>
<li>Delete Resource Manager Object<ul>
<li>Steps<ul>
<li>EDMA3_RM_Result edma3Result = EDMA3_RM_SOK;</li><li>unsigned int edmaInstanceId = 0;</li></ul>
</li></ul>
</li></ol>
<p>
<ul>
<li>edma3Result = EDMA3_RM_delete (edmaInstanceId, NULL);</li></ul>
<p>
Error Codes returned by the EDMA3 Resource Manager Layer <hr><h2>Define Documentation</h2>
<a class="anchor" name="gda9f7091b0b9d2ef91485e72e88eb27b"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_E_ALL_RES_NOT_AVAILABLE" ref="gda9f7091b0b9d2ef91485e72e88eb27b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_E_ALL_RES_NOT_AVAILABLE&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-7)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
No Resource of specified type is available 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>.</p>

</div>
</div><p>
<a class="anchor" name="gb014f5a62cb4f050873d3836cc189ca7"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_E_BASE" ref="gb014f5a62cb4f050873d3836cc189ca7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_E_BASE&nbsp;&nbsp;&nbsp;(-155)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Resource Manager Error Codes base define 
</div>
</div><p>
<a class="anchor" name="ga97036c99c34f9837e7272f8c50e6b21"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_E_CALLBACK_ALREADY_REGISTERED" ref="ga97036c99c34f9837e7272f8c50e6b21" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_E_CALLBACK_ALREADY_REGISTERED&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-11)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Callback function already registered. 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03381">EDMA3_RM_registerTccCb()</a>.</p>

</div>
</div><p>
<a class="anchor" name="g6e01bd5ae80120e94b9624b03bd4f354"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_E_FEATURE_UNSUPPORTED" ref="g6e01bd5ae80120e94b9624b03bd4f354" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_E_FEATURE_UNSUPPORTED&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-13)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Hardware feature NOT supported 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03072">EDMA3_RM_mapEdmaChannel()</a>.</p>

</div>
</div><p>
<a class="anchor" name="g515ee7881e4bd19c1af01a5518bb5608"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_E_INVALID_PARAM" ref="g515ee7881e4bd19c1af01a5518bb5608" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_E_INVALID_PARAM&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-3)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Invalid Parameter passed to API 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02086">EDMA3_RM_allocLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04708">EDMA3_RM_checkAndClearTcc()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00957">EDMA3_RM_close()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00358">EDMA3_RM_create()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00539">EDMA3_RM_delete()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04269">EDMA3_RM_freeContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02715">EDMA3_RM_freeLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01718">EDMA3_RM_freeResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05339">EDMA3_RM_getBaseAddress()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04487">EDMA3_RM_getCCRegister()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05448">EDMA3_RM_getGblConfigParams()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05512">EDMA3_RM_getInstanceInitCfg()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05006">EDMA3_RM_getPaRAM()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05179">EDMA3_RM_getPaRAMPhyAddr()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05611">EDMA3_RM_Ioctl()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03072">EDMA3_RM_mapEdmaChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03229">EDMA3_RM_mapQdmaChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03381">EDMA3_RM_registerTccCb()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04394">EDMA3_RM_setCCRegister()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04842">EDMA3_RM_setPaRAM()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03541">EDMA3_RM_unregisterTccCb()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l04572">EDMA3_RM_waitAndClearTcc()</a>.</p>

</div>
</div><p>
<a class="anchor" name="ge0e83d8e8229a31316f77285554c67a8"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_E_INVALID_STATE" ref="ge0e83d8e8229a31316f77285554c67a8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_E_INVALID_STATE&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-8)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Invalid State of EDMA3 RM Obj 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l00539">EDMA3_RM_delete()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>.</p>

</div>
</div><p>
<a class="anchor" name="g4b2559090dd93344d121c02bc0dbd369"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_E_MAX_RM_INST_OPENED" ref="g4b2559090dd93344d121c02bc0dbd369" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_E_MAX_RM_INST_OPENED&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-9)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Maximum no of Res Mgr Instances already Opened 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>.</p>

</div>
</div><p>
<a class="anchor" name="gaf4a8d35e9b2acedc8962b56e02a776f"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_E_OBJ_NOT_CLOSED" ref="gaf4a8d35e9b2acedc8962b56e02a776f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_E_OBJ_NOT_CLOSED&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-1)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Resource Manager Object Not Closed yet. So the object cannot be deleted. 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l00539">EDMA3_RM_delete()</a>.</p>

</div>
</div><p>
<a class="anchor" name="g9b69fe3203335237b365833e70d49ff8"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_E_OBJ_NOT_DELETED" ref="g9b69fe3203335237b365833e70d49ff8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_E_OBJ_NOT_DELETED&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Resource Manager Object Not Deleted yet. So the object cannot be created. 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l00358">EDMA3_RM_create()</a>.</p>

</div>
</div><p>
<a class="anchor" name="g0127b16958e3caa025b1fa678251349a"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_E_OBJ_NOT_OPENED" ref="g0127b16958e3caa025b1fa678251349a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_E_OBJ_NOT_OPENED&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-2)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Resource Manager Object Not Opened yet So the object cannot be closed. 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l00957">EDMA3_RM_close()</a>.</p>

</div>
</div><p>
<a class="anchor" name="gbfb8e410466d8c4373aefeddc9f81dc2"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_E_RES_ALREADY_FREE" ref="gbfb8e410466d8c4373aefeddc9f81dc2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_E_RES_ALREADY_FREE&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-4)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Resource requested for freeing is already free 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l01718">EDMA3_RM_freeResource()</a>.</p>

</div>
</div><p>
<a class="anchor" name="g5e0b75a258b42f40a54c1827d6dbdd13"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_E_RES_NOT_ALLOCATED" ref="g5e0b75a258b42f40a54c1827d6dbdd13" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_E_RES_NOT_ALLOCATED&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-14)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
EDMA3 Resource NOT allocated 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03072">EDMA3_RM_mapEdmaChannel()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l03229">EDMA3_RM_mapQdmaChannel()</a>.</p>

</div>
</div><p>
<a class="anchor" name="gc6c5d09c61d9b2549269576e6d31e41a"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_E_RES_NOT_OWNED" ref="gc6c5d09c61d9b2549269576e6d31e41a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_E_RES_NOT_OWNED&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-5)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Resource requested for allocation/freeing is not owned 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l01718">EDMA3_RM_freeResource()</a>.</p>

</div>
</div><p>
<a class="anchor" name="g7c4aba313c475ed818203053007d8e74"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_E_RM_MASTER_ALREADY_EXISTS" ref="g7c4aba313c475ed818203053007d8e74" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_E_RM_MASTER_ALREADY_EXISTS&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-10)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
More than one Res Mgr Master Instance NOT supported. Only 1 master can exist. 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>.</p>

</div>
</div><p>
<a class="anchor" name="g610aeab3e667a0edbaf9a673c6253b5b"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_E_SEMAPHORE" ref="g610aeab3e667a0edbaf9a673c6253b5b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_E_SEMAPHORE&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-12)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Semaphore related error 
</div>
</div><p>
<a class="anchor" name="g3b062119a0e29e3c9ba65c5e6ffb0629"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_E_SPECIFIED_RES_NOT_AVAILABLE" ref="g3b062119a0e29e3c9ba65c5e6ffb0629" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_E_SPECIFIED_RES_NOT_AVAILABLE&nbsp;&nbsp;&nbsp;(EDMA3_RM_E_BASE-6)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Resource is not available 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>.</p>

</div>
</div><p>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:48 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
